import { createAppContainer } from 'react-navigation';
import { createStackNavigator } from 'react-navigation-stack';
import LoginScreen from './src/containers/App/Login/LoginScreen';
import RegisterScreen from './src/containers/App/SignUp/RegisterScreen';
import ForgotPassScreen from './src/containers/App/ForgotPassword/ForgotPasswordScreen';
import ResetPassScreen from './src/containers/App/ResetPassword/ResetPasswordScreen';
import ProfileScreen from './src/containers/App/Profile/ProfileScreen';
import SearchBookScreen from './src/containers/App/SearchBook/SearchBookScreen';
import ChangePass from './src/containers/App/ChangePassword/ChangePasswordScreen';
import DrawerNavScreen from './src/navigation/DrawerNavigataion/DrawerNavScreen';
import BookRequestList from './src/containers/App/BookRequestList/BookRequestList';
import Bookdeleteupdate from './src/containers/App/BookRequestList/BookRequestDetails';
import NewBookRequest from './src/containers/App/BookRequestList/NewBookRequest';
import BookDetails from './src/containers/App/BookDetails/BookDetailsScreen';
import BookHistoryScreen from './src/containers/App/BookHistory/BookHistoryScreen';
import BookHistoryDetailsScreen from './src/containers/App/BookHistory/BookHistoryDetailsScreen';
import CustomComponent from './src/navigation/DrawerNavigataion/CustomComponent';

const AppNavigator = createStackNavigator(
  {
    Login: LoginScreen,
    Register: RegisterScreen,
    ForgotPass: ForgotPassScreen,
    ResetPass: ResetPassScreen,
    Profile: ProfileScreen,
    SearchB: SearchBookScreen,
    ChangeP: ChangePass,
    Drawer: DrawerNavScreen,
    BookRequestList: BookRequestList,
    Bookdeleteupdate: Bookdeleteupdate,
    Newbookrequest: NewBookRequest,
    Book: BookDetails,
    history: BookHistoryScreen,
    bookhistory1: BookHistoryDetailsScreen,
    NewBook: NewBookRequest,
    Custom: CustomComponent
  },
  {
    initialRouteName: 'BookRequestList',
    headerMode: 'none'
  }
);

export default createAppContainer(AppNavigator);
