import EStyleSheet from 'react-native-extended-stylesheet';
import { Colors, Fonts } from '../../../theme';

export default EStyleSheet.create({
  defaultBtn: {
    width: '140rem',
    height: '45rem',
    alignItems: 'center',
    justifyContent: 'center',
    borderRadius: '25rem',
    alignSelf: 'center',
    backgroundColor: Colors.purpule,
  },
  whiteButton: {
    backgroundColor: 'white',
    borderWidth: 0.5,
    borderColor: Colors.purpule
  },
  gradientView: {
    height: '100%',
    width: '100%',
    borderRadius: '25rem',
    position: 'absolute'
  },
  isTransparent: {
    backgroundColor: Colors.transparent,
    borderWidth: 2,
    borderColor: Colors.purpule
  },
  isBlank: {
    height: null,
    width: null,
    backgroundColor: Colors.transparent
  },
  titleTxtWhite: {
    ...Fonts.style.semiBoldBlack,
    color: Colors.white,
    textAlign: 'center'
  },
  titleTxtBlack: {
    ...Fonts.style.regularBlack,
    color: Colors.black
  },
  smallBtn: {
    width: '100rem',
    height: '50rem'
  },
  mediumBtn: {
    width: '150rem',
    height: '50rem'
  },
  longBtn: {
    width: '305rem',
    height: '50rem'
  }
});
