import React from 'react';
import { View, Text } from 'react-native';
import styles from './styles/index';

export interface Props {
  style?: any;
  textstyle?: any;
  children?: any;
}

class HeaderTitle extends React.PureComponent<Props> {
  render() {
    const { style, textstyle, children } = this.props;
    return (
      <View style={[styles.title, style]}>
        <Text style={[styles.titleTxt, textstyle]}>{children}</Text>
      </View>
    );
  }
}

export default HeaderTitle;
