import EStyleSheet from 'react-native-extended-stylesheet';
import { Fonts, Colors, Metrics } from '../../../../theme';

export default EStyleSheet.create({
  bookDetailsInnerContainer: {
    marginTop: EStyleSheet.value('100rem') + Metrics.statusBarHeight,
    width: '100%-30rem',
    alignSelf: 'center'
  },
  bookDetailsItem: {
    flexDirection: 'row',
    marginVertical: '18rem'
  },
  bookDetailsLabel: {
    ...Fonts.style.semiBoldBlack,
    fontSize: '17rem',
    color: Colors.darkGrey,
    width: '30%'
  },
  bookDetailsValue: {
    ...Fonts.style.semiBoldBlack,
    fontSize: '17rem',
    color: Colors.black,
    width: '70%'
  },
  buttonContainer: {
    flexDirection: 'row',
    width: '100%',
    marginTop: '40rem',
    alignItems: 'center',
    justifyContent: 'center'
  },
  editBtn: {
    width: '100rem',
    height: '35rem',
    borderRadius: '5rem',
    alignItems: 'center',
    justifyContent: 'center',
    marginHorizontal: '10rem',
    backgroundColor: Colors.green
  },
  deleteBtn: {
    width: '100rem',
    height: '35rem',
    borderRadius: '5rem',
    alignItems: 'center',
    justifyContent: 'center',
    marginHorizontal: '10rem',
    backgroundColor: Colors.red
  },
  btnTxt: {
    ...Fonts.style.semiBoldWhite,
    fontSize: '18rem',
    '@media android': {
      marginTop: '-4rem'
    }
  }
});
