import { combineReducers } from 'redux';
import UserReducer from './UserReducer';
import BookReducer from './BookReducer';
import GeneralReducer from './GeneralReducer';
import NavigationReducer from './NavigationReducer';

export default combineReducers({
  nav: NavigationReducer,
  user: UserReducer,
  book: BookReducer,
  general: GeneralReducer
});
